KIO::SimpleJob Class Reference

`#include <jobclasses.h>`

Inheritance diagram for KIO::SimpleJob:

## Public Slots

void | slotTotalSize (KIO::filesize_t data_size)
virtual void | slotError (int, const QString &)

## Public Member Functions

| SimpleJob (const KURL &url, int command, const QByteArray &packedArgs, bool showProgressInfo)
const KURL & | url () const
virtual void | kill (bool quietly=true)
virtual void | putOnHold ()
virtual void | start (Slave *slave)
void | slaveDone ()
Slave * | slave () const
int | command () const
Public Member Functions inherited from KIO::Job
int | error () const
int | progressId () const
const QString & | errorText () const
QString | errorString () const
QStringList | detailedErrorStrings (const KURL *reqUrl=0L, int method=-1) const
void | showErrorDialog (QWidget *parent=0L)
void | setAutoErrorHandlingEnabled (bool enable, QWidget *parentWidget=0)
bool | isAutoErrorHandlingEnabled () const
void | setAutoWarningHandlingEnabled (bool enable)
bool | isAutoWarningHandlingEnabled () const
void | setInteractive (bool enable)
bool | isInteractive () const
void | setWindow (QWidget *window)
QWidget * | window () const
void | updateUserTimestamp (unsigned long time)
void | setParentJob (Job *parentJob)
Job * | parentJob () const
void | setMetaData (const KIO::MetaData &metaData)
void | addMetaData (const QString &key, const QString &value)
void | addMetaData (const QMap< QString, QString > &values)
void | mergeMetaData (const QMap< QString, QString > &values)
MetaData | outgoingMetaData () const
MetaData | metaData () const
QString | queryMetaData (const QString &key)
KIO::filesize_t | getProcessedSize ()

## Static Public Member Functions

static void | removeOnHold ()

## Protected Slots

virtual void | slotFinished ()
void | slotWarning (const QString &)
void | slotInfoMessage (const QString &s)
void | slotConnected ()
void | slotProcessedSize (KIO::filesize_t data_size)
void | slotSpeed (unsigned long speed)
virtual void | slotMetaData (const KIO::MetaData &_metaData)
void | slotNeedProgressId ()
Protected Slots inherited from KIO::Job
virtual void | slotResult (KIO::Job *job)
void | slotSpeed (KIO::Job *job, unsigned long speed)
void | slotInfoMessage (KIO::Job *job, const QString &msg)
void | slotSpeedTimeout ()

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
void | storeSSLSessionFromJob (const KURL &m_redirectionURL)
Protected Member Functions inherited from KIO::Job
| Job (bool showProgressInfo)
virtual void | addSubjob (Job *job, bool inheritMetaData=true)
virtual void | removeSubjob (Job *job)
void | removeSubjob (Job *job, bool mergeMetaData, bool emitResultIfLast)
void | emitPercent (KIO::filesize_t processedSize, KIO::filesize_t totalSize)
void | emitSpeed (unsigned long speed)
void | emitResult ()
void | setProcessedSize (KIO::filesize_t size)
unsigned long | userTimestamp () const
int & | extraFlags ()

## Protected Attributes

Slave * | m_slave
QByteArray | m_packedArgs
KURL | m_url
KURL | m_subUrl
int | m_command
KIO::filesize_t | m_totalSize
Protected Attributes inherited from KIO::Job
QPtrList< Job > | subjobs
int | m_error
QString | m_errorText
unsigned long | m_percent
int | m_progressId
QTimer * | m_speedTimer
QGuardedPtr< QWidget > | m_window
MetaData | m_outgoingMetaData
MetaData | m_incomingMetaData

## Additional Inherited Members

Signals inherited from KIO::Job
void | result (KIO::Job *job)
void | canceled (KIO::Job *job)
void | infoMessage (KIO::Job *job, const QString &msg)
void | warning (KIO::Job *job, const QString &msg)
void | connected (KIO::Job *job)
void | percent (KIO::Job *job, unsigned long percent)
void | totalSize (KIO::Job *job, KIO::filesize_t size)
void | processedSize (KIO::Job *job, KIO::filesize_t size)
void | speed (KIO::Job *job, unsigned long speed)
Protected Types inherited from KIO::Job
enum | { EF_TransferJobAsync = (1 << 0), EF_TransferJobNeedData = (1 << 1), EF_TransferJobDataSent = (1 << 2), EF_ListJobUnrestricted = (1 << 3) }

## Detailed Description

A simple job (one url and one command).

This is the base class for all jobs that are scheduled. Other jobs are high-level jobs (CopyJob, DeleteJob, FileCopyJob...) that manage subjobs but aren't scheduled directly.

Definition at line 528 of file jobclasses.h.

## Constructor & Destructor Documentation

SimpleJob::SimpleJob | ( | const KURL & | url,
|  | int | command,
|  | const QByteArray & | packedArgs,
|  | bool | showProgressInfo
| ) |  |

Creates a new simple job.

You don't need to use this constructor, unless you create a new job that inherits from SimpleJob.

Parameters

  url | the url of the job
  command | the command of the job
  packedArgs | the arguments
  showProgressInfo | true to show progress information to the user

Definition at line 430 of file job.cpp.

## Member Function Documentation

void SimpleJob::kill | ( | bool | quietly = `true` | ) |

virtual

Abort job.

This kills all subjobs and deletes the job.

Parameters

  quietly | if true, Job will emit signal result Should only be set to false when the user kills the job (from kio_uiserver), not when you want to abort a job.

Reimplemented from KIO::Job.

Definition at line 457 of file job.cpp.

void SimpleJob::putOnHold | ( |  | ) |

virtual

Abort job.

Suspends slave to be reused by another job for the same request.

Definition at line 464 of file job.cpp.

void SimpleJob::removeOnHold | ( |  | ) |

static

Discard suspended slave.

Definition at line 475 of file job.cpp.

void SimpleJob::slotConnected | ( |  | ) |

protected slot

Called on a slave's connected signal.

See also
  connected()

Definition at line 639 of file job.cpp.

void SimpleJob::slotFinished | ( |  | ) |

protected virtual slot

Called when the slave marks the job as finished.

Definition at line 576 of file job.cpp.

void SimpleJob::slotInfoMessage | ( | const QString & | s | ) |

protected slot

Called on a slave's info message.

Parameters

  s | the info message

See also
  infoMessage()

Definition at line 634 of file job.cpp.

void SimpleJob::slotMetaData | ( | const KIO::MetaData & | _metaData | ) |

protected virtual slot

MetaData from the slave is received.

Parameters

  _metaData | the meta data

See also
  metaData()

Definition at line 677 of file job.cpp.

void SimpleJob::slotProcessedSize | ( | KIO::filesize_t | data_size | ) |

protected slot

Forward signal from the slave.

Parameters

  data_size | the processed size in bytes

See also
  processedSize()

Definition at line 660 of file job.cpp.

void SimpleJob::slotSpeed | ( | unsigned long | speed | ) |

protected slot

Forward signal from the slave.

Parameters

  speed | the speed in bytes/s

See also
  speed()

Definition at line 671 of file job.cpp.

void SimpleJob::slotTotalSize | ( | KIO::filesize_t | data_size | ) |

slot

Forward signal from the slave Can also be called by the parent job, when it knows the size.

Parameters

  data_size | the total size

Definition at line 651 of file job.cpp.

const KURL& KIO::SimpleJob::url | ( |  | ) | const

inline

Returns the SimpleJob's URL.

Returns
  the url

Definition at line 549 of file jobclasses.h.

The documentation for this class was generated from the following files:

- jobclasses.h
- job.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys